Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class TileEntitySkull

    java.lang.Object
      net.minecraft.src.TileEntity
          net.minecraft.src.TileEntitySkull

    public class TileEntitySkull

extends TileEntity

Field Summary

Fields inherited from class net.minecraft.src.TileEntity
`blockMetadata, blockType, worldObj, xCoord, yCoord, zCoord`

Constructor Summary
`TileEntitySkull()`

Method Summary
`void` | `func_82116_a(int par1)`
`int` | `func_82117_a()`
`void` | `func_82118_a(int par1, String par2Str)`
`int` | `func_82119_b()`
`String` | `func_82120_c()`
`Packet` | `getDescriptionPacket()` Overriden in a sign to provide the text.
`void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` Reads a tile entity from NBT.
`void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` Writes a tile entity to NBT.

Methods inherited from class net.minecraft.src.TileEntity
`addMapping, canUpdate, createAndLoadEntity, func_70309_m, func_82115_m, func_85027_a, getBlockMetadata, getBlockType, getDistanceFrom, getWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, receiveClientEvent, setWorldObj, updateContainingBlockInfo, updateEntity, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TileEntitySkull

    public TileEntitySkull()

Method Detail

### writeToNBT

    public void writeToNBT(NBTTagCompound par1NBTTagCompound)

  Writes a tile entity to NBT.

  Overrides:
    `writeToNBT` in class `TileEntity`

### readFromNBT

    public void readFromNBT(NBTTagCompound par1NBTTagCompound)

  Reads a tile entity from NBT.

  Overrides:
    `readFromNBT` in class `TileEntity`

### getDescriptionPacket

    public Packet getDescriptionPacket()

  Overriden in a sign to provide the text.

  Overrides:
    `getDescriptionPacket` in class `TileEntity`

### func_82118_a

    public void func_82118_a(int par1,
                             String par2Str)

### func_82117_a

    public int func_82117_a()

### func_82116_a

    public void func_82116_a(int par1)

### func_82119_b

    public int func_82119_b()

### func_82120_c

    public String func_82120_c()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD